
public abstract class Class151_Sub2_Sub2 extends Class151_Sub2 {

   Class545_Sub2 aClass545_Sub2_10252;


   void method14947(int var1, int var2) {
      if(this == this.aClass545_Sub2_10252.method11482((byte)14)) {
         this.aClass545_Sub2_10252.method14987();
      }

   }

   boolean method154() {
      this.aClass545_Sub2_10252.method14986();
      return true;
   }

   boolean method149() {
      this.aClass545_Sub2_10252.method14986();
      return true;
   }

   Class151_Sub2_Sub2(Class545_Sub2 var1) {
      this.aClass545_Sub2_10252 = var1;
   }

   void method14946(int var1, int var2) {
      if(this == this.aClass545_Sub2_10252.method11482((byte)14)) {
         this.aClass545_Sub2_10252.method14987();
      }

   }
}
